Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6619/?format=api
{ "ob_id": 6619, "uuid": "2fed11bdfb2f682555790cc341749d0a", "title": "GLOSS: Sea Level measurements from the Global network of sea level stations", "abstract": "The Global Sea Level Observing System (GLOSS) is an international programme co-ordinated by the Intergovernmental Oceanographic Commission (IOC) for the establishment of high quality global and regional sea level networks for application to climate, oceanographic and coastal sea level research. The programme became known as GLOSS as it provides data for deriving the 'Global Level Of the Sea Surface'; a smooth level after averaging out waves, tides and short-period meteorological events. The main component of GLOSS is the Global Core Network (GCN) of 308 sea level stations around the world, which are maintained by 87 countries. This dataset is public.", "keywords": "GLOSS, SEA LEVEL", "publicationState": "published", "dataPublishedTime": "2007-02-08T17:27:41", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6620/?format=api", "dataPath": "/badc/CDs/gloss/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1129273, "numberOfFiles": 11, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1943/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23296/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23297/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25917/?format=api" ], "dataLineage": "Data obtained by a global network of permanent sea level stations.\r\nCDROM was produced in 1996. CEDA-BADC acquired a copy and later made its content available online.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4328/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4338/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4344/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4341/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4335/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6621/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6618/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28536/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28540/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28534/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28535/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28537/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28538/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28539/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28541/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28542/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6624/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }